"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserRecord = void 0;
const student_record_1 = require("./student.record");
const teacher_record_1 = require("./teacher.record");
const admin_record_1 = require("./admin.record");
class UserRecord {
    static getALLUsers() {
        return __awaiter(this, void 0, void 0, function* () {
            const students = (yield student_record_1.StudentRecord.listAll(''));
            const teachers = (yield teacher_record_1.TeacherRecord.listAll(''));
            const admins = (yield admin_record_1.AdminRecord.listAll());
            return [...students, ...teachers, ...admins];
        });
    }
    static getUserByEmail(email) {
        return __awaiter(this, void 0, void 0, function* () {
            return (yield UserRecord.getALLUsers()).find(user => user.email === email);
        });
    }
    static getUserById(id) {
        return __awaiter(this, void 0, void 0, function* () {
            return (yield UserRecord.getALLUsers()).find(user => user.id === id);
        });
    }
}
exports.UserRecord = UserRecord;
//# sourceMappingURL=user.record.js.map