"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.shopRouter = void 0;
const express_1 = require("express");
const course_record_1 = require("../records/course.record");
exports.shopRouter = (0, express_1.Router)();
const stripe = require('stripe')(process.env.STRIPE_SECRET_KEY);
exports.shopRouter
    //  .get('/order', async(req: Request, res: Response) => {
    //
    //    const stripeObj = await stripe.checkout.sessions.create({
    //       success_url: 'https://localhost:5173/success',
    //       cancel_url: 'https://localhost/cancel',
    //       payment_method_types: ['card', 'p24'],
    //       line_items: [
    //          {
    //              price: 'price_1O0gJ5CMIZdRR3DNosbJwqU6',
    //              quantity: 1,
    //          },
    //       ],
    //       mode: 'payment',
    //    });
    //
    //    res.json(stripeObj)
    // })
    .post('/checkout', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const items = req.body.items;
    console.log(items);
    const lineItems = items.map((item) => __awaiter(void 0, void 0, void 0, function* () {
        const course = yield course_record_1.CourseRecord.getOne(item.id);
        return {
            price: course.price === 50 ? process.env.STRIPE_50_PRICE : process.env.STRIPE_40_PRICE,
            quantity: item.quantity
        };
    }));
    const resolvedLineItems = yield Promise.all(lineItems);
    const session = yield stripe.checkout.sessions.create({
        line_items: resolvedLineItems,
        mode: 'payment',
        // success_url: 'http://localhost:5173/student/success',
        // cancel_url: 'http://localhost:5173/student/cancel',
        success_url: 'https://menager.networkmanager.pl/student/success',
        cancel_url: 'https://menager.networkmanager.pl/student/cancel',
    });
    res.json({
        url: session.url
    });
}));
//# sourceMappingURL=shop.js.map