"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleError = exports.ForbiddenError = exports.NotAuthorizedError = exports.NotFoundError = exports.ValidationError = void 0;
class ValidationError extends Error {
}
exports.ValidationError = ValidationError;
class NotFoundError extends Error {
}
exports.NotFoundError = NotFoundError;
class NotAuthorizedError extends Error {
}
exports.NotAuthorizedError = NotAuthorizedError;
class ForbiddenError extends Error {
}
exports.ForbiddenError = ForbiddenError;
const handleError = (err, req, res, next) => {
    console.error(err);
    if (err instanceof ValidationError) {
        res.status(400).json({ message: err.message });
    }
    if (err instanceof NotFoundError) {
        res.status(404).json({ message: err.message });
    }
    if (err instanceof ForbiddenError) {
        res.status(403).json({ message: err.message });
    }
    if (err instanceof NotAuthorizedError) {
        res.status(401).json({ message: err.message });
    }
    else {
        res.status(500).json({ message: 'Sorry, please try again later.' });
    }
};
exports.handleError = handleError;
//# sourceMappingURL=errors.js.map